SuSE 10 Security Update : Tk (ZYPP Patch Number 4974)

Medium Nessus Plugin ID 31847


The remote SuSE 10 host is missing a security-related patch.


Specially crafted GIF images could cause a buffer overflow and crash tk. It seems unlikely but not entirely impossible that this overflow can be exploited to execute arbitrary code. (CVE-2008-0553)


Apply ZYPP patch number 4974.

See Also

Plugin Details

Severity: Medium

ID: 31847

File Name: suse_tk-4974.nasl

Version: $Revision: 1.14 $

Type: local

Agent: unix

Published: 2008/04/11

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2008/02/05

Reference Information

CVE: CVE-2008-0553

CWE: 119